org.eclipse.microprofile.faulttolerance

## Annotation Type Timeout

    @Inherited
     @Documented
     @Retention(value=RUNTIME)
     @Target(value={METHOD,TYPE})
     @InterceptorBinding
    public @interface Timeout

The annotation to define a method execution timeout.

Author:
  Emily Jiang
See Also:
  `value()`, `unit()`

### Optional Element Summary

Optional Elements
`ChronoUnit` `unit` The timeout unit.
`long` `value` The timeout value.

### Element Detail

#### value

    public abstract long value

The timeout value. The value must be greater than or equal to 0. 0 means no timeout configured. Otherwise, `FaultToleranceDefinitionException` occurs.

Returns:
  the timeout value

Default:
  1000L

#### unit

    public abstract ChronoUnit unit

The timeout unit. Defaults to `ChronoUnit.MILLIS`.

Returns:
  the timeout unit

Default:
  java.time.temporal.ChronoUnit.MILLIS